%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   IO-Compress
%define modv   2.020
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl IO interface to compressed data files/buffers
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-2.020-tests.patch
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Paul Marquess <pmqs@cpan.org>
Provides:      perl(Compress::Zlib) = %{modv}
Provides:      perl(IO::Compress::Base::Common) = %{modv}
Provides:      perl(IO::Uncompress::Base) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.4
BuildRequires: perl(Carp)
BuildRequires: perl(Compress::Raw::Bzip2) >= %{modv}
BuildRequires: perl(Compress::Raw::Zlib) >= %{modv}
BuildRequires: perl(Config)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Pod) >= 1.00
Obsoletes:     perl-Compress-Zlib < 2.017
Obsoletes:     perl-IO-Compress-Base < 2.017
Obsoletes:     perl-IO-Compress-Bzip2 < 2.017
Obsoletes:     perl-IO-Compress-Zlib < 2.017
BuildArch:     noarch


%description
The IO::Compress distribution provides a Perl interface to allow reading
and writing of compressed data created with the zlib and bzip2 libraries.
It supports reading and writing of bzip2, RFC 1950, RFC 1951, RFC 1952
(ie. gzip) and zip files/buffers. IO::Compress combines the previously
separately distributed Perl modules Compress::Zlib, IO::Compress::Base,
IO::Compress::Bzip2 and IO::Compress::Zlib.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Compress
%{perl_vendorlib}/File
%{perl_vendorlib}/%{modp}
%{perl_vendorlib}/auto/Compress
%{_mandir}/man3/*.3*


%changelog
* Thu Jul 30 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2.020-1
- Initial build
